Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82798 - up2date X error over ssh
Summary: up2date X error over ssh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-26 18:50 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-02 19:18:11 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-26 18:50:48 UTC
Description of problem:

when I start up2date over an ssh connection (over internet),
up2ate errors, as follows:

[root@homer root]# up2date
The program 'up2date' received an X Window System error.
This probably reflects a bug in the program.
The error was '202'.
  (Details: serial 379 error_code 202 request_code 155 minor_code 8)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[root@homer root]# 

stopping iptables on both ends has no effect, 
nor does `xhost +` on my end (not homer)

Version-Release number of selected component (if applicable):

[root@homer root]# rpm -q up2date
up2date-3.0.7-1

How reproducible:  every time, across inet.  Dunno how it behaves locally



Steps to Reproduce:
1.
2.
3.
    
Actual results: see above


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.